Class UmlBaseActivityRegion

Declaration :

- C++ : class UmlBaseActivityRegion : public UmlItem
- Java : abstract class UmlBaseActivityRegion extends UmlItem

Directly inherited by : UmlActivityRegion

Artifact : UmlBaseActivityRegion

Operation UmlBaseActivityRegion

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBaseActivityRegion(in id : item_id, in s : string) :
- C++ : protected: UmlBaseActivityRegion(void * id, const QCString & s) : UmlItem(id, s)
- Java : protected UmlBaseActivityRegion(long id, String s)

Operation associatedDiagram

returns the optional associated diagram

Declaration :

- Uml : + associatedDiagram() : UmlActivityDiagram
- C++ : public: UmlActivityDiagram * associatedDiagram()
- Java : public UmlActivityDiagram associatedDiagram()

Operation set_AssociatedDiagram

sets the associated diagram, arg may be null to unset it
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_AssociatedDiagram(in d : UmlActivityDiagram) : bool, exceptions : RuntimeException
- C++ : public: bool set_AssociatedDiagram(UmlActivityDiagram * d)
- Java : public void set_AssociatedDiagram(UmlActivityDiagram d) throws RuntimeException

Relation _assoc_diagram (<unidirectional association>)

Declaration :

- Uml : - _assoc_diagram : UmlActivityDiagram
- C++ : private: UmlActivityDiagram * _assoc_diagram
- Java : private UmlActivityDiagram _assoc_diagram

Operation read_uml_

Declaration :

- Uml : # read_uml_() : void
- C++ : protected: virtual void read_uml_()
- Java : protected void read_uml_()

All public operations : apply , associatedDiagram , children , childrenVisible , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , set_AssociatedDiagram , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload